Modify

Opened 3 years ago

Closed 3 years ago

Last modified 3 years ago

#13000 closed defect (fixed)

[Patch] Exception when deleting last layer for 2nd time

Reported by: malenki Owned by: michael2402
Priority: normal Milestone: 16.06
Component: Plugin fixaddresses Version: latest
Keywords: template_report regression gsoc-core Cc:

Description

What steps will reproduce the problem?

  1. Start up JOSM
  2. Press ctrl-N to create a new data layer
  3. Delete the layer
  4. Press ctrl-N to create a new data layer
  5. Delete the layer

What is the expected result?

Layer gets just deleted

What happens instead?

The exception mentioned below.
This behaviour is reliable reproducable.

But it doesn't occur with a blank ~/.josm so some plugins may have their say, too.
This behaviour didn't occur in older versions but I have to do further testing to tell numbers.

Please provide any additional information below. Attach a screenshot if possible.

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-06-19 02:15:46 +0200 (Sun, 19 Jun 2016)
Build-Date:2016-06-19 01:34:13
Revision:10422
Relative:URL: ^/trunk

Identification: JOSM/1.5 (10422 de) Linux Debian GNU/Linux unstable (sid)
Memory Usage: 693 MB / 2222 MB (543 MB allocated, but free)
Java version: 1.8.0_91-b14, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
VM arguments: [-Dsun.java2d.opengl=false]

Plugins:
- FastDraw (32158)
- FixAddresses (32158)
- HouseNumberTaggingTool (31926)
- ImportImagePlugin (32287)
- InfoMode (32158)
- Mapillary (32158)
- OpeningHoursEditor (32158)
- PicLayer (32158)
- RoadSigns (32177)
- ShapeTools (1000)
- apache-commons (32158)
- apache-http (32158)
- buildings_tools (32158)
- continuosDownload (53)
- contourmerge (1014)
- download_along (32158)
- ejml (32158)
- ext_tools (32158)
- geotools (31895)
- gson (32158)
- imagery_offset_db (32158)
- jts (31906)
- log4j (32158)
- mapdust (31923)
- measurement (32158)
- opendata (32289)
- photo_geotagging (32158)
- photoadjust (32158)
- reltoolbox (32158)
- reverter (32158)
- tag2link (31923)
- tageditor (32158)
- terracer (32158)
- todo (29154)
- turnrestrictions (32158)
- undelete (32158)
- utilsplugin2 (32158)
- waydownloader (32158)
- wikipedia (32182)

Tagging presets:
- http://www.country-linedance.de/daten/Archaeologie-de.zip
- https://josm.openstreetmap.de/josmfile?page=Presets/Camp_site_extends&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Crafts&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Czech_hiking&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Heritage&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Leaftype&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Light_sources&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Mountains&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/ParkingLanes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Playground_Equipment&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/SentieriItaliani&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Towers&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Trees&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/hiking_routes_with_trail_marking&zip=1
- https://raw.githubusercontent.com/OpenSeaMap/josm/master/Presets_Sport.xml

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/AddressValidator&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lit&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/LitObjects&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Osmc&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/OsmcSKCZPL&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/SlovakiaBicycleRoutes&style&zip=1

Last errors/warnings:
- W: Old style SideButton usage for action org.openstreetmap.josm.plugins.todo.TodoDialog$SelectAction@2facd186
- W: Old style SideButton usage for action org.openstreetmap.josm.plugins.todo.TodoDialog$AddAction@7ea29031
- W: Old style SideButton usage for action org.openstreetmap.josm.plugins.todo.TodoDialog$PassAction@4ff55774
- W: Old style SideButton usage for action org.openstreetmap.josm.plugins.todo.TodoDialog$MarkAction@2f14750d
- E: java.lang.IllegalArgumentException: Listener was not registered before: LayerChangeAdapter [org.openstreetmap.josm.plugins.fixAddresses.gui.actions.SelectAddressesInMapAction@642cbbdd]

java.lang.IllegalArgumentException: Listener was not registered before: LayerChangeAdapter [org.openstreetmap.josm.plugins.fixAddresses.gui.actions.SelectAddressesInMapAction@642cbbdd]
	at org.openstreetmap.josm.gui.layer.LayerManager.removeLayerChangeListener(LayerManager.java:316)
	at org.openstreetmap.josm.gui.layer.LayerManager.removeLayerChangeListener(LayerManager.java:304)
	at org.openstreetmap.josm.actions.JosmAction.destroy(JosmAction.java:220)
	at org.openstreetmap.josm.gui.SideButton.destroy(SideButton.java:138)
	at org.openstreetmap.josm.gui.dialogs.ToggleDialog.destroyComponents(ToggleDialog.java:458)
	at org.openstreetmap.josm.gui.dialogs.ToggleDialog.destroyComponents(ToggleDialog.java:454)
	at org.openstreetmap.josm.gui.dialogs.ToggleDialog.destroyComponents(ToggleDialog.java:454)
	at org.openstreetmap.josm.gui.dialogs.ToggleDialog.destroyComponents(ToggleDialog.java:454)
	at org.openstreetmap.josm.gui.dialogs.ToggleDialog.destroy(ToggleDialog.java:448)
	at org.openstreetmap.josm.gui.dialogs.DialogsPanel.destroy(DialogsPanel.java:325)
	at org.openstreetmap.josm.gui.MapFrame.destroy(MapFrame.java:338)
	at org.openstreetmap.josm.Main.setMapFrame(Main.java:559)
	at org.openstreetmap.josm.Main.removeLayer(Main.java:590)
	at org.openstreetmap.josm.gui.dialogs.layer.DeleteLayerAction.actionPerformed(DeleteLayerAction.java:48)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2022)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2348)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:402)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
	at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:252)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
	at java.awt.Component.processMouseEvent(Component.java:6535)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3324)
	at java.awt.Component.processEvent(Component.java:6300)
	at java.awt.Container.processEvent(Container.java:2236)
	at java.awt.Component.dispatchEventImpl(Component.java:4891)
	at java.awt.Container.dispatchEventImpl(Container.java:2294)
	at java.awt.Component.dispatchEvent(Component.java:4713)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4888)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4525)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4466)
	at java.awt.Container.dispatchEventImpl(Container.java:2280)
	at java.awt.Window.dispatchEventImpl(Window.java:2750)
	at java.awt.Component.dispatchEvent(Component.java:4713)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:758)
	at java.awt.EventQueue.access$500(EventQueue.java:97)
	at java.awt.EventQueue$3.run(EventQueue.java:709)
	at java.awt.EventQueue$3.run(EventQueue.java:703)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:86)
	at java.awt.EventQueue$4.run(EventQueue.java:731)
	at java.awt.EventQueue$4.run(EventQueue.java:729)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:728)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)

Attachments (2)

plugin-FixAddresses-listener-removal.patch (2.4 KB) - added by michael2402 3 years ago.
patch-fix-13000.patch (1.7 KB) - added by michael2402 3 years ago.

Download all attachments as: .zip

Change History (10)

comment:1 Changed 3 years ago by stoecker

Keywords: gsoc-core added
Milestone: 16.06
Owner: changed from team to michael2402

comment:2 Changed 3 years ago by michael2402

Component: CorePlugin fixaddresses

comment:3 Changed 3 years ago by michael2402

=== REPORTED CRASH DATA ===
DialogsPanel#destroy:
 - dialog: Unvollständige Adressen
 - dialog-class: class org.openstreetmap.josm.plugins.fixAddresses.gui.IncompleteAddressesDialog

The listeners of that plugin were not working.

I attach a fix that fixes this for this plugin, I don't know if any plugin state depends on those actions to be constant.

I also add a small patch to help debugging problems like this.

Last edited 3 years ago by michael2402 (previous) (diff)

Changed 3 years ago by michael2402

Changed 3 years ago by michael2402

Attachment: patch-fix-13000.patch added

comment:4 Changed 3 years ago by michael2402

Summary: Exception when deleting last layer for 2nd time[Patch] Exception when deleting last layer for 2nd time

comment:5 Changed 3 years ago by malenki

The problem still exists in r10485:

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-06-24 22:37:10 +0200 (Fri, 24 Jun 2016)
Build-Date:2016-06-25 01:32:57
Revision:10485
Relative:URL: ^/trunk

Identification: JOSM/1.5 (10485 de) Linux Debian GNU/Linux unstable (sid)
Memory Usage: 700 MB / 2222 MB (556 MB allocated, but free)
Java version: 1.8.0_91-b14, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
VM arguments: [-Dsun.java2d.opengl=false]

Plugins:
- FastDraw (32158)
- FixAddresses (32158)
- HouseNumberTaggingTool (31926)
- ImportImagePlugin (32287)
- InfoMode (32158)
- Mapillary (32396)
- OpeningHoursEditor (32158)
- PicLayer (32158)
- RoadSigns (32177)
- ShapeTools (1000)
- apache-commons (32158)
- apache-http (32158)
- buildings_tools (32158)
- continuosDownload (53)
- contourmerge (1014)
- download_along (32158)
- ejml (32158)
- ext_tools (32158)
- geotools (31895)
- gson (32158)
- imagery_offset_db (32158)
- jts (31906)
- log4j (32158)
- mapdust (31923)
- measurement (32324)
- opendata (32289)
- photo_geotagging (32158)
- photoadjust (32158)
- reltoolbox (32158)
- reverter (32158)
- tag2link (31923)
- tageditor (32158)
- terracer (32158)
- todo (29154)
- turnrestrictions (32386)
- undelete (32158)
- utilsplugin2 (32158)
- waydownloader (32158)
- wikipedia (32182)

Tagging presets:
- http://www.country-linedance.de/daten/Archaeologie-de.zip
- https://josm.openstreetmap.de/josmfile?page=Presets/Camp_site_extends&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Crafts&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Czech_hiking&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Heritage&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Leaftype&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Light_sources&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Mountains&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/ParkingLanes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Playground_Equipment&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/SentieriItaliani&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Towers&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Trees&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/hiking_routes_with_trail_marking&zip=1
- https://raw.githubusercontent.com/OpenSeaMap/josm/master/Presets_Sport.xml

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/AddressValidator&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lit&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/LitObjects&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Osmc&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/OsmcSKCZPL&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/SlovakiaBicycleRoutes&style&zip=1

Last errors/warnings:
- W: Old style SideButton usage for action org.openstreetmap.josm.plugins.todo.TodoDialog$SelectAction@48f6f0b4
- W: Old style SideButton usage for action org.openstreetmap.josm.plugins.todo.TodoDialog$AddAction@4824871
- W: Old style SideButton usage for action org.openstreetmap.josm.plugins.todo.TodoDialog$PassAction@19faac2b
- W: Old style SideButton usage for action org.openstreetmap.josm.plugins.todo.TodoDialog$MarkAction@7a698d04
- E: java.lang.IllegalArgumentException: Listener was not registered before: LayerChangeAdapter [org.openstreetmap.josm.plugins.fixAddresses.gui.actions.SelectAddressesInMapAction@64c5df6e]

java.lang.IllegalArgumentException: Listener was not registered before: LayerChangeAdapter [org.openstreetmap.josm.plugins.fixAddresses.gui.actions.SelectAddressesInMapAction@64c5df6e]
	at org.openstreetmap.josm.gui.layer.LayerManager.removeLayerChangeListener(LayerManager.java:345)
	at org.openstreetmap.josm.gui.layer.LayerManager.removeLayerChangeListener(LayerManager.java:333)
	at org.openstreetmap.josm.actions.JosmAction.destroy(JosmAction.java:220)
	at org.openstreetmap.josm.gui.SideButton.destroy(SideButton.java:135)
	at org.openstreetmap.josm.gui.dialogs.ToggleDialog.destroyComponents(ToggleDialog.java:466)
	at org.openstreetmap.josm.gui.dialogs.ToggleDialog.destroyComponents(ToggleDialog.java:462)
	at org.openstreetmap.josm.gui.dialogs.ToggleDialog.destroyComponents(ToggleDialog.java:462)
	at org.openstreetmap.josm.gui.dialogs.ToggleDialog.destroyComponents(ToggleDialog.java:462)
	at org.openstreetmap.josm.gui.dialogs.ToggleDialog.destroy(ToggleDialog.java:456)
	at org.openstreetmap.josm.gui.dialogs.DialogsPanel.destroy(DialogsPanel.java:325)
	at org.openstreetmap.josm.gui.MapFrame.destroy(MapFrame.java:337)
	at org.openstreetmap.josm.gui.MainPanel.updateContent(MainPanel.java:61)
	at org.openstreetmap.josm.gui.MainPanel$1$1.run(MainPanel.java:170)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:311)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:756)
	at java.awt.EventQueue.access$500(EventQueue.java:97)
	at java.awt.EventQueue$3.run(EventQueue.java:709)
	at java.awt.EventQueue$3.run(EventQueue.java:703)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:726)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)

comment:6 Changed 3 years ago by malenki

PS: After triggering this exception it seems no new datalayers can be created. Trying to do so results in:

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-06-24 22:37:10 +0200 (Fri, 24 Jun 2016)
Build-Date:2016-06-25 01:32:57
Revision:10485
Relative:URL: ^/trunk

Identification: JOSM/1.5 (10485 de) Linux Debian GNU/Linux unstable (sid)
Memory Usage: 839 MB / 2222 MB (678 MB allocated, but free)
Java version: 1.8.0_91-b14, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
VM arguments: [-Dsun.java2d.opengl=false]
Dataset consistency test: No problems found

Plugins:
- FastDraw (32158)
- FixAddresses (32158)
- HouseNumberTaggingTool (31926)
- ImportImagePlugin (32287)
- InfoMode (32158)
- Mapillary (32396)
- OpeningHoursEditor (32158)
- PicLayer (32158)
- RoadSigns (32177)
- ShapeTools (1000)
- apache-commons (32158)
- apache-http (32158)
- buildings_tools (32158)
- continuosDownload (53)
- contourmerge (1014)
- download_along (32158)
- ejml (32158)
- ext_tools (32158)
- geotools (31895)
- gson (32158)
- imagery_offset_db (32158)
- jts (31906)
- log4j (32158)
- mapdust (31923)
- measurement (32324)
- opendata (32289)
- photo_geotagging (32158)
- photoadjust (32158)
- reltoolbox (32158)
- reverter (32158)
- tag2link (31923)
- tageditor (32158)
- terracer (32158)
- todo (29154)
- turnrestrictions (32386)
- undelete (32158)
- utilsplugin2 (32158)
- waydownloader (32158)
- wikipedia (32182)

Tagging presets:
- http://www.country-linedance.de/daten/Archaeologie-de.zip
- https://josm.openstreetmap.de/josmfile?page=Presets/Camp_site_extends&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Crafts&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Czech_hiking&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Heritage&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Leaftype&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Light_sources&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Mountains&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/ParkingLanes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Playground_Equipment&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/SentieriItaliani&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Towers&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Trees&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/hiking_routes_with_trail_marking&zip=1
- https://raw.githubusercontent.com/OpenSeaMap/josm/master/Presets_Sport.xml

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/AddressValidator&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lit&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/LitObjects&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Osmc&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/OsmcSKCZPL&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/SlovakiaBicycleRoutes&style&zip=1

Last errors/warnings:
- W: Old style SideButton usage for action org.openstreetmap.josm.plugins.todo.TodoDialog$PassAction@433dcf74
- W: Old style SideButton usage for action org.openstreetmap.josm.plugins.todo.TodoDialog$MarkAction@3c0f647f
- E: java.lang.IllegalArgumentException: Listener was not registered before: LayerChangeAdapter [org.openstreetmap.josm.plugins.fixAddresses.gui.actions.SelectAddressesInMapAction@3b8385a1]
- E: java.lang.IllegalStateException: Dialog not created yet. Invoke createInstance() first
- E: org.openstreetmap.josm.tools.bugreport.ReportedException: java.lang.IllegalStateException: Dialog not created yet. Invoke createInstance() first. Ursache: java.lang.IllegalStateException: Dialog not created yet. Invoke createInstance() first

=== REPORTED CRASH DATA ===
LayerManager#fireLayerAdded:
 - listener: LayerChangeAdapter [org.openstreetmap.josm.actions.MergeLayerAction@28eaa59a]
 - event: LayerAddEvent [addedLayer=org.openstreetmap.josm.gui.layer.OsmDataLayer@1deee585]

=== STACK TRACE ===
Thread: AWT-EventQueue-0 (16) of main
java.lang.IllegalStateException: Dialog not created yet. Invoke createInstance() first
	at org.openstreetmap.josm.gui.dialogs.LayerListDialog.getInstance(LayerListDialog.java:112)
	at org.openstreetmap.josm.actions.MergeLayerAction$2.run(MergeLayerAction.java:109)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDT(GuiHelper.java:110)
	at org.openstreetmap.josm.actions.MergeLayerAction.updateEnabledState(MergeLayerAction.java:102)
	at org.openstreetmap.josm.actions.JosmAction$LayerChangeAdapter.layerAdded(JosmAction.java:372)
	at org.openstreetmap.josm.gui.layer.LayerManager.fireLayerAdded(LayerManager.java:360)
	at org.openstreetmap.josm.gui.layer.LayerManager.realAddLayer(LayerManager.java:177)
	at org.openstreetmap.josm.gui.layer.MainLayerManager.realAddLayer(MainLayerManager.java:200)
	at org.openstreetmap.josm.gui.layer.LayerManager$1.run(LayerManager.java:164)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDTAndWaitWithException(GuiHelper.java:146)
	at org.openstreetmap.josm.gui.layer.LayerManager.addLayer(LayerManager.java:161)
	at org.openstreetmap.josm.actions.NewAction.actionPerformed(NewAction.java:32)
	at javax.swing.SwingUtilities.notifyAction(SwingUtilities.java:1663)
	at javax.swing.JComponent.processKeyBinding(JComponent.java:2882)
	at javax.swing.KeyboardManager.fireBinding(KeyboardManager.java:307)
	at javax.swing.KeyboardManager.fireKeyboardAction(KeyboardManager.java:263)
	at javax.swing.JComponent.processKeyBindingsForAllComponents(JComponent.java:2974)
	at javax.swing.SwingUtilities.processKeyBindings(SwingUtilities.java:1587)
	at javax.swing.UIManager$2.postProcessKeyEvent(UIManager.java:1483)
	at java.awt.DefaultKeyboardFocusManager.dispatchKeyEvent(DefaultKeyboardFocusManager.java:817)
	at java.awt.DefaultKeyboardFocusManager.preDispatchKeyEvent(DefaultKeyboardFocusManager.java:1074)
	at java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(DefaultKeyboardFocusManager.java:945)
	at java.awt.DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:771)
	at java.awt.Component.dispatchEventImpl(Component.java:4762)
	at java.awt.Container.dispatchEventImpl(Container.java:2294)
	at java.awt.Window.dispatchEventImpl(Window.java:2750)
	at java.awt.Component.dispatchEvent(Component.java:4713)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:758)
	at java.awt.EventQueue.access$500(EventQueue.java:97)
	at java.awt.EventQueue$3.run(EventQueue.java:709)
	at java.awt.EventQueue$3.run(EventQueue.java:703)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:86)
	at java.awt.EventQueue$4.run(EventQueue.java:731)
	at java.awt.EventQueue$4.run(EventQueue.java:729)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:728)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)

comment:7 Changed 3 years ago by Don-vip

Resolution: fixed
Status: newclosed

In 10491/josm:

fix #13000 - Exception when deleting last layer for 2nd time (patch by michael2402) - gsoc-core

comment:8 Changed 3 years ago by Don-vip

plugin updated in [o32399].

Last edited 3 years ago by Don-vip (previous) (diff)

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain michael2402.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.